
/* ADAPTIVE, MOBILE MENU
----------------------------------------------- */
.tnw-04z {width: 320px; height: 100%; overflow-x: hidden; overflow-y: auto;
	z-index: 999; position: fixed; left: -360px; top: 0; transition: left 0.4s; background-color: var(--bg);}
.tnw-04z.is-active {left: 0;}
body.mobile-menu-is-opened {overflow: hidden; width: 100%; height: 100%;}
.tnw-052 {padding: 15px 20px; gap: 10px; background-color: var(--bg-darker-1);}
.tnw-052 .tnw-04v {font-size: 20px;}
.tnw-050 {font-size: 24px; width: 40px; height: 40px; margin-right: -10px;}
.tnw-051 {padding: 20px;}
.tnw-051 .tnw-038, .tnw-051 .tnw-031 {display: none;}
.tnw-051 .tnw-037 {display: block; margin: 0;}
.tnw-051 .tnw-037 > li > a {height: 50px;}
.tnw-051 .header__menu-hidden {opacity: 1; visibility: visible; translate: 0 0; position: static;
	background-color: var(--bg-darker); width: calc(100% + 40px); margin: 0 -20px; box-shadow: none; padding: 20px;}
.tnw-051 div.header__menu-hidden {grid-template-columns: repeat(2,minmax(0,1fr));}

@media screen and (max-width: 1220px) {
	:root {--indent-negative: -20px; --indent: 20px;}
	.tnw-096 {max-width:1000px;}
	body, .tnw-02v {padding-top: 0;}
	.tnw-094::before, .tnw-094::after {background: none; display: none;}
	.tnw-094::before, .tnw-094::after {height: auto; aspect-ratio: 3 / 2;}
	.tnw-094::before {mask-image: none; background-size: cover;}
	.tnw-02y .tnw-037 {display: none;}
	.tnw-02y {padding: 20px var(--indent);}
	.tnw-038 {flex: 1 1 0; max-width: 100%; min-width: 50px; margin-left: 10px;}
	.tnw-032 {display: flex;}

	.tnw-05o {display: block;}
.tnw-05o:has(.tnw-066) .page__cols-right {padding: 0;}
	.page__fr {position: static;}
	.page__fr .tnw-07j {height: auto; max-height: 150px;}
	.schedule-item {padding: 6px 20px; gap: 10px 20px;}
	.schedule-item__number {width: 140px;}
}
@media screen and (max-width: 1220px) and (min-width: 590px) {
	.tnw-07i:has(.tnw-07l) .tnw-02t {display: flex; overflow-y: hidden; overflow-x: auto;}
	.tnw-07i:has(.tnw-07l) .tnw-02t > .tnw-02u {flex-shrink: 0; width: 170px;}
}

@media screen and (max-width: 950px) {
	.tnw-096 {max-width:768px;}
	.tnw-023 {margin: 0;}
	.tnw-022 {width: 100%;}

	.tnw-06h {gap: 10px;}
	.tnw-06l a, .tnw-06l span:not([class]) {width: 100%;}
	.tnw-06h > a, .tnw-06h > span {flex-grow: 1; order: 10;}
	.tnw-06m, .pagination__btns {min-width: 100%;}
	.tnw-06m a, .tnw-06m span, .pagination__btns > * {flex-grow: 1;}
}

@media screen and (max-width: 760px) {
	.tnw-096 {max-width:640px;}
	.tnw-02y .tnw-038, .tnw-02y .tnw-031, .tnw-033 {display: none;}
	.tnw-051 .tnw-038, .tnw-051 .tnw-031 {display: block; 
		width: 100%; margin: 0; margin-bottom: 10px;}
	.tnw-051 .tnw-031 {display: flex;}
	.tnw-036 {flex: 1 1 0; max-width: 100%; min-width: 50px;}
	.tnw-032, .tnw-034 {order: 10; padding: 0;}
	.tnw-07k:has(.tnw-07l) .tnw-07m {width: 100%;}
	.tnw-07l {margin-top: 10px; gap: 10px; width: 100%;}
	.tnw-07l button {flex: 1 1 0; max-width: 100%; min-width: max-content; padding: 0 10px; font-size: 12px; height: 30px;}
.tnw-065 {display: block;}
	.tnw-065 > * + * {margin-top: 20px;}
	.tnw-05w h1, body:has(.tnw-05w) .speedbar {text-align: center;}
	.tnw-069 {margin-left: auto; margin-right: auto; width: 200px;}
	.tnw-062 {padding: 10px 0;}
	.schedule-item {gap: 0 10px;}
	.schedule-item__number {width: 100px; text-align: right;}
	.schedule-item__descr {min-width: calc(100%	- 130px); order: -1;}
	.tnw-05u {display: none !important;}
	.tnw-066 .tnw-081 button {flex-grow: 1;}
	.tnw-067 {padding: 20px;}
	.ya-share2 {width: 100%; text-align: center;}
	.tnw-05v {margin: 0;}
	.tnw-060 a {padding: 0 10px; height: 30px; font-size: 12px; gap: 8px;}
	
	.tnw-05l {margin-bottom: 20px;}
	.tnw-002 {gap: 10px;}
	.tnw-002 button {padding: 0 20px; width: 100%;}
	.tnw-005 input + input {min-width: 100%; order: 10;}
	.tnw-005 > span, .tnw-00v::before {display: none;}
	.tnw-001 #b_color {display: none;}
	.tnw-007 .tnw-002 button {position: static; width: 100%;}
	.tnw-00v {padding: 15px 20px;}
	.tnw-017 {width: 40px; height: 40px; position: relative; left: 0; top: 0;}
	.tnw-019 {display: block;}
	.tnw-01c, .tnw-015 {translate: -50% -100%; display: none;}
}

@media screen and (max-width: 590px) {
	.tnw-096 {max-width:480px;}
	.tnw-04e {padding: 30px 20px;}
	.tnw-04f > * {font-size: 17px; height: 40px;}
	.tnw-04b {right: 0; top: 0; color: var(--tt); font-size: 24px;}
	.tnw-04g {padding-left: 60px;}
	.tnw-049 {width: 40px; font-size: 18px;}
	.tnw-04r {font-size: 17px;}
	.tnw-04c {font-size: 14px; margin-top: 0;}
	.header__login a, .tnw-033 {display: none;}
	.tnw-023 {width: 100%; padding: 0; border: 0; text-align: center;}
	.tnw-020 {margin: 0; text-align: center; width: 100%;}
	
	.page__scr ul:has(li:nth-child(6)) {grid-template-columns: repeat(2,1fr);}
	.page__scr ul:not(:has(li:nth-child(6))) {gap: 10px;}
}

@media screen and (max-width: 470px) {
	.tnw-096 {max-width:410px;}
	.tnw-094::before, .tnw-094::after {aspect-ratio: 1 / 1.2;}
	.header__theme-select {height: 30px;}
	.tnw-06l a {min-width: 0; width: 100%;}
}

@media screen and (max-width: 400px) {
	.tnw-096 {max-width:360px;}
	
	.tnw-002 .comments_subscribe {font-size: 13px;}
	.tnw-02k iframe {width: calc(100% + 40px); max-width: calc(100% + 40px); height: 260px; margin-left: -20px; margin-right: -20px;}
}
